#pragma once



#include   <afxmt.h>

//
namespace jbxwl {




class CWinSahredMemory
{
public:
	CWinSahredMemory(void);
	~CWinSahredMemory(void);


protected:
	HANDLE		m_hMapping;			// メモリマップドファイルのハンドル
	void*		m_pMappingView;		// ファイルのビューへのポインタ
	CMutex*		m_pMutex;			// ミューテックスオブジェクト


	void		get();
	void		put();

};




}		// namespace